> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuddl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all sessions

> Use this endpoint to retrieve the list of all sessions in a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize the response

Required API key scopes: `READ`



## OpenAPI

````yaml https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/sessions
openapi: 3.1.0
info:
  title: Zuddl API Documentation
  description: >-
    Zuddl RESTful APIs let you interact with the Zuddl platform and take action
    for your event or webinar. They let you add attendees, get attendee details,
    get event details, and more.


    The API response is returned in JSON, which your systems can easily consume.


    The API parameters allow you to customize the response using filters,
    sorting, pagination, and other parameters. Parameter values should be
    percent-encoded (URL-encoded) to ensure correct transmission, especially if
    they contain special characters such as spaces, semi-colons, or slashes.


    # Rate limits


    | Metrics | Value |

    | --- | --- |

    | Requests/second | 10 |

    | Burst or no. of concurrent calls allowed | 100 requests |

    | Total quota | 10000 requests/day |
  version: '1.0'
servers:
  - url: https://api.zuddl.com/
security:
  - api_key: []
tags:
  - name: Events
    description: API endpoints for managing events
  - name: Attendees
    description: >-
      The attendee APIs let you add and retrieve attendee in a particular event
      type.
  - name: Sessions
    description: API endpoints for managing event sessions
  - name: Speakers
    description: API endpoints for managing event speakers
  - name: Sponsors
    description: API endpoints for managing event sponsors
  - name: Locations
    description: API endpoints for managing event locations
paths:
  /v1/events/{eventId}/sessions:
    get:
      tags:
        - Sessions
      summary: Get all sessions
      description: >-
        Use this endpoint to retrieve the list of all sessions in a particular
        event type in your Zuddl organization. You can use query parameters such
        as filter, pagination, or sort to customize the response


        Required API key scopes: `READ`
      operationId: getSessions
      parameters:
        - name: eventId
          in: path
          description: Unique identifier of the event
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
        - name: filter
          in: query
          description: |
            Filter query in format: 

            Available filters:
            - startDateTime: operations [eq, lt, lte, gt, gte, between]
            - endDateTime: operations [eq, lt, lte, gt, gte, between]
          required: false
          schema:
            type: string
          example: startDateTime:gt:2023-01-01
        - name: sort
          in: query
          description: |
            Sort query in format: 

            The following fields are sortable:
            - startDateTime
            - endDateTime
            - title
          required: false
          schema:
            type: string
          example: title:desc,startDateTime:asc
        - name: page
          in: query
          description: 'Page number (default: 1)'
          required: false
          schema:
            type: number
          example: '1'
        - name: size
          in: query
          description: 'Page size (default: 10, max: 50)'
          required: false
          schema:
            type: number
          example: '10'
      responses:
        '200':
          description: List of sessions retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app.domain.api_product.event.session.dtos.SessionDetailsPage
        '400':
          description: Invalid event ID supplied
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '401':
          description: Unauthorized access to event
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '404':
          description: Event not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
components:
  schemas:
    org.events.app.domain.api_product.event.session.dtos.SessionDetailsPage:
      properties:
        pagination:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.dtos.PageResponse.Pagination
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.session.dtos.SessionDetails
    org.events.app._internal._response.v1.ApiErrorResponse:
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
        description:
          type: string
        errors:
          type: object
          additionalProperties:
            type: string
    org.events.app.domain.api_product.dtos.PageResponse.Pagination:
      properties:
        next:
          type: string
          format: uri
          description: URI of the next page. Also indicates the presence of a next page.
          example: /{apiEndpoint}?page=3
        current:
          type: string
          format: uri
          description: URI of the current page.
          example: /{apiEndpoint}?page=2
        previous:
          type: string
          format: uri
          description: >-
            URI of the previous page. Also indicates the presence of a previous
            page.
          example: /{apiEndpoint}?page=1
    org.events.app.domain.api_product.event.session.dtos.SessionDetails:
      properties:
        kind:
          type: string
        url:
          type: string
          format: uri
        id:
          type: string
          format: uuid
          description: Unique identifier of the session
          example: d5e31ba5-2d1e-4918-bb60-dd1514b4b397
        title:
          type: string
          description: Name of the session
          example: 'Maximize Your Potential: Strategies for Success in a Digital World'
        description:
          type: string
          description: Description of the session
          example: >-
            <p>Join us for an engaging online session designed to equip you with
            practical tools and insights for thriving in today's fast-paced,
            technology-driven environment.</p>
        startDateTime:
          type: string
          format: date-time
          description: Start date time of the session
          example: '2025-03-14T05:55:00Z'
        endDateTime:
          type: string
          format: date-time
          description: End date time of the session
          example: '2025-03-14T05:55:00Z'
        location:
          type: array
          description: Location details of the session
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.session.dtos.SessionDetails.Location
        speakers:
          type: array
          description: Speakers of the session
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.session.dtos.SessionDetails.Speaker
        sponsors:
          type: array
          description: Sponsors of the session
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.session.dtos.SessionDetails.Sponsor
        tags:
          type: array
          description: Tags of the session
          example:
            - tag1
            - tag2
          items:
            type: string
            description: Tags of the session
            example: '["tag1","tag2"]'
        files:
          type: array
          description: Files of the session
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.session.dtos.SessionDetails.File
        availableSpots:
          type: integer
          format: int32
          deprecated: true
          description: >-
            **Deprecated**: use `totalCapacity` instead. Number of available
            spots for the session.
          example: 100
        totalCapacity:
          type: integer
          format: int32
          description: >-
            Total capacity configured for the session. Applies to in-person and
            hybrid sessions; null for virtual sessions.
          example: 100
        remainingCapacity:
          type: integer
          format: int32
          description: >-
            Number of spots still open for new registrations (totalCapacity
            minus already-registered users). Applies to in-person and hybrid
            sessions with a configured capacity; null otherwise.
          example: 75
        externalRefId:
          type: string
          description: >-
            A reference ID that you can use to map this session to your external
            systems or databases
          example: d812a64f8865428990249a120792c3d8
        parentSessionId:
          type: string
          description: Parent session ID of the session
          example: d812a64f8865428990249a120792c3d8
    org.events.app.domain.api_product.event.session.dtos.SessionDetails.Location:
      description: Location details of the session
      properties:
        locationId:
          type: string
          format: uuid
          description: Unique identifier of the session location
          example: d5e31ba5-2d1e-4918-bb60-dd1514b4b397
        locationName:
          type: string
          description: Name of the session location
          example: Session location
        type:
          type: string
          description: Type of the session venue
          enum:
            - STAGE
            - SESSION
            - NETWORKING
            - EXPO
            - LOBBY
            - SCHEDULE
            - ROOMS
            - IN_PERSON
            - NONE
            - STUDIO
        link:
          type: string
          description: Link of the session location
    org.events.app.domain.api_product.event.session.dtos.SessionDetails.Speaker:
      description: Speakers of the session
      properties:
        speakerId:
          type: string
          format: uuid
          description: Unique identifier of the session speaker
          example: d5e31ba5-2d1e-4918-bb60-dd1514b4b397
        url:
          type: string
          format: uri
          description: API URL to retrieve speaker details
    org.events.app.domain.api_product.event.session.dtos.SessionDetails.Sponsor:
      description: Sponsors of the session
      properties:
        sponsorId:
          type: string
          format: uuid
          description: Unique identifier of the session sponsor
          example: d5e31ba5-2d1e-4918-bb60-dd1514b4b397
        url:
          type: string
          format: uri
          description: API URL to retrieve sponsor details
    org.events.app.domain.api_product.event.session.dtos.SessionDetails.File:
      description: Files of the session
      properties:
        fileId:
          type: string
          format: uuid
          description: Unique identifier of the file
          example: d5e31ba5-2d1e-4918-bb60-dd1514b4b397
        fileName:
          type: string
          description: File name
          example: Presentation
        fileUrl:
          type: string
          description: Url of the file
          example: https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61
  securitySchemes:
    api_key:
      type: apiKey
      description: Provide your API key secret in the `Authorization` header
      name: Authorization
      in: header

````